using System;
using System.IO;


namespace ConsoleApplication_LineNumber
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			//
			// TODO: Add code to start application here
			//
			string file="";
			if(args.Length<1)
			{
				Console.WriteLine("LineNumber v0.1");
				Console.WriteLine("usage: ln <file_with_lines>");
				return;
			}
			Console.WriteLine("starting...");
			file=args[0];

			Console.WriteLine("read file: {0}",file);

			long i=0;
			StreamReader fs = null;
			try
			{
				fs = new StreamReader(file);
				for(string line = fs.ReadLine(); line != null; line = fs. ReadLine())
				{
					//Console.WriteLine(line);
					i++;
				}
			}
			catch
			{
				Console.WriteLine("[!] Error: read file {0} at line {1}",file,i);
			}
			finally
			{
				if(fs!=null)
					fs.Close();
			}
			Console.WriteLine("done");
			Console.WriteLine("line number: {0}",i);
		}
	}
}
