//////////////////////////////////////////////////////////////////////
//
// definition.h
//
// different definitions
//
//
//                                                    XIII
//////////////////////////////////////////////////////////////////////

#ifndef _DEFINITIONS_H_
#define _DEFINITIONS_H_

#define WIN32		1
#define DEBUG		1 // for debug purposes
#define EXDEBUG		1 // for extended debug purposes (for me only ;-)
#define LOG			1 // for writing $LOG_FILE_NAME
#define HASHLOG		1 // for writing couples pass-hash into $HASHLOG_FILE_NAME

#undef STL_
#undef DEBUG
//#undef EXDEBUG
//#undef LOG
//#undef HASHLOG

#define LOG_FILE_NAME			"log.txt"
#define IP_FILE_NAME			"ip.txt"
#define HASHLOG_FILE_NAME		"pass-hash.txt"
#define TEMP_SAVE_FILE_NAME		"ddata.txt"

/*
#ifdef DEBUG
# define ITERATION_NUMBER		10
#else
*/
# define ITERATION_NUMBER		500000
//#endif // #ifdef DEBUG

#ifdef WIN32
# define DEF_ALPHABET_FILE		".\\data\\all_printable_latin.txt"
#else
# define DEF_ALPHABET_FILE		"./data/all_printable_latin.txt"
#endif // #ifdef WIN32

#define REG_PATH_RUN			"Software\\Microsoft\\Windows\\CurrentVersion\\Run"

#define LOOPBACK_IP				"127.0.0.1"

#define FILE_BUF_SIZE			2048

// server definitions
#define SERVER_PORT				7371 // "sq" from squirrel ;)
#define CLIENT_PORT				7372
#define MAX_USERS_CONNECT		20
#define SERVER_BUF_SIZE			1024

#define NEAR_SIZE_IP			30
#define MD5_BUF_SIZE			16
#define TEXT_MD5_BUF_SIZE		(MD5_BUF_SIZE*2)

typedef unsigned long int ulint;

// cliets state
enum STATE {Free, Busy, Victory, Bordered, Error};
// borders state
enum BORDERSTATE {First=100,Middle,Last};

#endif // #ifndef _DEFINITIONS_H_


/*

#ifndef __H_
#define __H_




#endif // #ifndef __H_


#ifdef DEBUG

#endif // #ifdef DEBUG
*/
