//////////////////////////////////////////////////////////////////////
//
// tree_work.cpp
//
// classes to work with list(as stack)
//
//
//                                                    XIII
//////////////////////////////////////////////////////////////////////

#ifndef _TREE_WORK_CPP_
#define _TREE_WORK_CPP_

#include "tree_work.h"

//////////////////////////////////
// class TStoreHouse
//////////////////////////////////
TStoreHouse::TStoreHouse():
storage(NULL),
house_size(0)
{
}

TStoreHouse::~TStoreHouse() 
{
	TStorage *pTemp;

	while (storage)
	{
		pTemp = storage->nextElement;
		delete storage;
		storage = pTemp;
	}
	house_size=0;
}

TStorage* TStoreHouse::addNewElement(client* fptr_cl)
{
	TStorage *element;
	element = new TStorage;

	if(fptr_cl)
	{
		element->element.pcl = new client(*fptr_cl);
	}

	element->prevElement = NULL;
	element->nextElement = storage;
	if (element->nextElement)
		element->nextElement->prevElement = element;
	storage = element;
	house_size++;
	return storage;
}

void TStoreHouse::delElement(TStorage *element)
{
	if (element->nextElement)
		element->nextElement->prevElement = element->prevElement;
	if (element->prevElement)
		element->prevElement->nextElement = element->nextElement;
	else
		storage = element->nextElement;
	delete element;
	house_size--;
}

int TStoreHouse::size() const
{
	return house_size;
}
#endif //#ifndef _TREE_WORK_CPP_
