//////////////////////////////////////////////////////////////////////
//
// lib.h
//
// draft
//
// from mydoom
//
//////////////////////////////////////////////////////////////////////

#ifndef _SYNC_LIB_H_
#define _SYNC_LIB_H_

#include "definition.h"

#include <ctype.h>

#ifdef WIN32
#include <windows.h>
#endif //#ifdef WIN32

void xrand_init(void);
WORD xrand16(void);
DWORD xrand32(void);
char *xstrstr(const char *str, const char *pat);
char *xstrrchr(const char *str, char ch);
char *xstrchr(const char *str, char ch);
int xsystem(char *cmd, int wait);
int xmemcmpi(unsigned char *, unsigned char *, int);
int xstrncmp(const char *first, const char *last, size_t count);
int is_online(void);
int cat_wsprintf(LPTSTR lpOutput, LPCTSTR lpFormat, ...);

// my ;-)
void path2file_name(char* path, char* file_name);
void path2dir_name(char* path, char* dir_name);

void prerr(LPCTSTR _str, ...);

double factorial(int n);

#endif // #ifndef _SYNC_LIB_H_
