//////////////////////////////////////////////////////////////////////
//
// netfunc.cpp
// for network functions
//
// 
//
//                                                    XIII
//////////////////////////////////////////////////////////////////////

#ifndef _NETFUNC_CPP_
#define _NETFUNC_CPP_

#include "netfunc.h"
#include "lib.h"
#include  "stdio.h"

#include "./util/tree_work.h"
#include "client.h"

#ifdef WIN32
#pragma comment(lib, "ws2_32.lib")

static WSADATA wsadata;

#endif //#ifdef WIN32

extern TStoreHouse ex_clients;
extern CLIENT myclient;
extern bool victory;
extern char* __buf;

bool crack=false;

int volatile net_freezed;
//
// server
//
static SOCKET server;
static sockaddr_in addr;
static int addr_size;
//
// remote client
//
static SOCKET sclient;
static sockaddr_in  remote_addr;
static int remote_addr_size;
//
// search client
//
static SOCKET search;
static sockaddr_in  search_addr;
static int search_addr_size;

static int number_of_sclients;


//char chInfo[64];

#ifdef WIN32
void wsa_init(void)
{
	WSAStartup(MAKEWORD(2,0), &wsadata);
}

void wsa_end()
{
	WSACleanup();
}
#endif //#ifdef WIN32

int start_serv_sock()
{
	//
	// make socket for server and bind it into SERVER_PORT
	//
	number_of_sclients=0;
	net_freezed=0;

	// make socket
	server=socket(AF_INET,SOCK_STREAM,0);
	if(server==INVALID_SOCKET)
	{
		prerr("socket() in start_serv_sock()");
		return 1;
	}
	// adress family - Internet
	addr.sin_family = AF_INET;
	// set port
	addr.sin_port = htons (SERVER_PORT); 
	// without adress
	addr.sin_addr.s_addr = htonl (INADDR_ANY);

	if (bind(server,(LPSOCKADDR)&addr,sizeof(addr))==SOCKET_ERROR)
	{
		prerr("bind() in start_serv_sock()");
		return 2;
	}

	addr_size=sizeof(struct sockaddr_in);

	return 0;
}

void net_freeze(int do_freeze)
{
	net_freezed = do_freeze;
}

DWORD WINAPI ServerThread(LPVOID lpParameter)
{
	//
	// thread for server
	//
	DWORD tid;

	if(listen(server,MAX_USERS_CONNECT)==SOCKET_ERROR)
	{
		prerr("listen() in ServerThread()");
	}

	HANDLE  st0=CreateThread(NULL,0,ClientCrackThread,0,0,&tid);

	while(1)
	{
		if(net_freezed)
			return 0;
		remote_addr_size=sizeof(remote_addr);
		sclient=accept(server,(struct sockaddr*)&remote_addr,&remote_addr_size);
		if(sclient==INVALID_SOCKET)
		{
			if(!net_freezed)
				prerr("accept() in ServerThread()");
		}
		number_of_sclients++;
		writelog("server:","another connected");


		HANDLE st=CreateThread(NULL, NULL, SexToClient, &sclient, NULL, &tid);
	}

	return 0;
}

DWORD WINAPI SexToClient(LPVOID sclient_socket)
{
	SOCKET my_sock;
	bool another_squir=false;
	int bytes_recv;
    my_sock=((SOCKET *) sclient_socket)[0];
    char buff[20*SERVER_BUF_SIZE];
	ZeroMemory(buff, 20*SERVER_BUF_SIZE);
	// temp values
	char *ct;
	int it,parse;
	char *tbuf=NULL;

	//
	// for thread
	//HANDLE st;
	//DWORD tid;

    // send banner
    send(my_sock,BANNER,sizeof(BANNER),0);

    // talk with sclient
    while( (bytes_recv = recv(my_sock,&buff[0],sizeof(buff),0)) != SOCKET_ERROR )
	{
		writelog("recv:",buff);
//		while(net_freezed)
//			Sleep(2013);
		parse=parse_server_command(buff,bytes_recv);
		if(tbuf)
		{
			delete []tbuf;
			tbuf=NULL;
		}
		switch(parse)
		{
		//
		// use password "Squi" as another squir :)
		//
		case 1:
			another_squir=true;
			ct=PONG;
			it=sizeof(PONG);
			break;
		//
		// return version of server
		//
		case 3:
		case 4:
			ct=(char*)version;
			it=sizeof(version);
			break;
		//
		// send server's code to sclient
		//
		case 5:
		{
		}
			break;
		//
		// goodhack
		//
		case 6:
			if(another_squir)
			{
			}
			break;
		//
		// termination
		//
		case 7:
			if(another_squir)
			{
			}
			break;
		//
		// borderend
		//
		case 8:
			if(another_squir)
			{
			}
			break;
		//
		// reserved
		//
		case 9:
			break;
		case 10:
			goto client_exit;
		case 77:
		case 78:
		case 79:
		case 80:
			ct=BANNER;
			it=sizeof(BANNER);
			break;
		case 81:
			//
			// start crack :)
			//
				//st=CreateThread(NULL,0,ClientCrackThread,0,0,&tid);
			crack=true;
//			if(st)
//			{
				ct=BANNER;
				it=sizeof(BANNER);
//			}
//			else
//			{
//				ct=INTERR;
//				it=sizeof(INTERR);
//			}
			break;
		case 82:
			{
				tbuf = new char[10];
				ZeroMemory(tbuf,10);
				itoa(myclient.get_state(),tbuf,10);
				ct=tbuf;
				it=strlen(tbuf);
			}
			break;
		case STATE_GETPAS:
			ct=myclient.get_password();
			it=strlen(ct);
			break;
		case STATE_GETBOR:
			ct=myclient.get_border();
			it=strlen(ct);
			break;
		case STATE_STOP:
			myclient.set_state(Free);
			goto client_exit;
			break;
		default:
			ct=XZ;
			it=sizeof(XZ);
			break;
		}
		if(ct && it)
		{
			send(my_sock,ct,it,0);
			writelog("send:",ct);
		}
		ZeroMemory(buff, 20*SERVER_BUF_SIZE);
	}
	// Error in recv() therefore =>
client_exit:
    number_of_sclients--;
    closesocket(my_sock);
	return 0;
}

int parse_server_command(char* buf,int length)
{
	//
	// parse commands
	//

const char *commands[]=
{
	"Squirrel",	// 0
	PING,		// 1 - return PONG
	PONG,		// 2
	VER,		// 3
	"version",	// 4
	UPDATE,		// 5
	GOODHACK,	// 6
	TERMINATION,// 7
	BORDEREND,	// 8
	"reserved",	// 9
	BYE,		// 10
/*	"",
	"",
	"",
	"",
	"",
	"",*/
	NULL
};

	if(!buf || !length)
		return -1;

	//char *ctemp;
	char ctemp[20*SERVER_BUF_SIZE];
	int i;

/*	ctemp=new char [length+2];
	if(!ctemp)
		return -2;
	ZeroMemory(ctemp,length+2);
*/
	ZeroMemory(ctemp,20*SERVER_BUF_SIZE);
	lstrcpy(ctemp,buf);

	//
	// if use telnet or netcat 8-)
	//
	if(ctemp[length-1]=='\n')
		ctemp[length-1]='\0'; // remove '\n'

	i=0;
	while(commands[i]!= NULL)
	{
		//if(!lstrcmp(commands[i],ctemp))
		if(!xstrncmp(commands[i],ctemp,length))
			return i;
		i++;
	}
	if(buf[0]=='a' && buf[1]==':')
	{
		//
		// get alphabet
		//
		myclient.set_alphabet(&buf[2]);
		printf("[ ] get alphabet\n");
		return 77;
	}
	if(buf[0]=='h' && buf[1]==':')
	{
		//
		// get hash
		//
		myclient.set_hash(&buf[2]);
		printf("[ ] get hash: %s\n",myclient.get_hash());
		return 78;
	}
	if(buf[0]=='t' && buf[1]==':')
	{
		//
		// get hash type
		//
		myclient.set_hash_type(atoi(&buf[2]));
		printf("[ ] get hash type: %d\n",myclient.get_hash_type());
		return 79;
	}
	if(buf[0]=='p' && buf[1]==':')
	{
		//
		// get password
		//
		myclient.set_password((&buf[2]));
		printf("[ ] get password: %s\n",myclient.get_password());
		return 80;
	}
	if(buf[0]=='b' && buf[1]==':')
	{
		//
		// get border
		//
		myclient.set_border((&buf[2]));
		printf("[ ] get border: %s\n",myclient.get_border());
		return 81;
	}


	if(buf[0]=='s' && buf[1]=='?')
	{
		//
		// state question
		//
		printf("[ ] get state question.\n");
		return 82;
	}

	if(buf[0]=='p' && buf[1]=='?')
	{
		//
		// password question
		//
		printf("[ ] get password question.\n");
		return STATE_GETPAS;
	}
	if(buf[0]=='b' && buf[1]=='?')
	{
		//
		// border question
		//
		printf("[ ] get border question.\n");
		return STATE_GETBOR;
	}



	if(buf[0]=='s' && buf[1]=='!')
	{
		//
		// stop
		//
		printf("[ ] get STOP command.\n");
		return STATE_STOP;
	}
//	delete []ctemp;
	return -3;
}

DWORD WINAPI FindAnotherServer(LPVOID lpParameter)
{
	//
	// thread for searching another server's
	//

	int itemp;
	char buff[20*SERVER_BUF_SIZE];
	//
	// for talk with server
	//
	char *ct=NULL;
	int it;
	int state=0;

	char *IP=NULL;
	TStorage *pTemp=NULL;
	int ittemp=0;
	bool first_check=true;
	bool end=false;

again:
	if(state>0)
	{
		if(first_check)
			Sleep(130);
		else
			Sleep(3000);
		Sleep(2000);
	}
	ZeroMemory(buff, 20*SERVER_BUF_SIZE);
        
	search=socket(AF_INET,SOCK_STREAM,0);
    if(search==INVALID_SOCKET)
	{
		prerr("socket() in FindAnotherServer()");
		return -1;
	}

	HOSTENT *hst;
    search_addr.sin_family=AF_INET;
    search_addr.sin_port=htons(SERVER_PORT);

	if(ex_clients.size()<=0)
	{
		prerr("no clients list in FindAnotherServer()");
		return -2;
	}

	while(1)
	{
		if(!ittemp)
		{
			pTemp=ex_clients.storage;
			if(state==STATE_STOP)
				goto s_exit;
		}
		else
			pTemp=pTemp->nextElement;

		if(ittemp>=ex_clients.size())
		{
			if(end || state==STATE_STOP)
				goto s_exit;
			first_check=false;
			ittemp=0;
			pTemp=ex_clients.storage;
		}

		ittemp++;

		if(pTemp->element.pcl->get_state()==Error)
			goto again;

		IP = pTemp->element.pcl->get_IP();
		//
		// transformation of IP address from symbols into net-format
		//
		if (inet_addr(IP)!=INADDR_NONE)
			search_addr.sin_addr.s_addr=inet_addr(IP);
		else
		{
			//
			// try to get IP from domen name
			//
			if (hst=gethostbyname(IP))
				((unsigned long *)&search_addr.sin_addr)[0]=
					((unsigned long **)hst->h_addr_list)[0][0];
			else
			{
				prerr("invalid address %s in FindAnotherServer()",IP);
				continue;
			}
		}

		//
		// try to connect
		//
		if(!connect(search,(sockaddr *)&search_addr, sizeof(search_addr)))
		{
			printf("[+] connect %s\n",IP);
		}
		else
			continue;

#ifdef EXDEBUG
		writelog("find another",IP);
#endif // #ifdef EXDEBUG
		
		if(first_check)
		{
			state=1; // state of conversation
			pTemp->element.pcl->set_password(__buf);
			//
			// get next border
			//
			if(next_border(__buf))
			{
				if(!strcmp(__buf,""))
				{
					printf("Its last border!\n");
					//break;
				}
			}
			pTemp->element.pcl->set_border(__buf);
		}
		else
			state=82;

		if(victory)
			state=STATE_GETPAS;

		if(net_freezed)
			state=STATE_GETPAS;

		int nsize;
		while((nsize=recv(search,&buff[0], sizeof(buff)-1,0)) != SOCKET_ERROR)
		//if( (nsize=recv(my_sock,&buff[0], sizeof(buff)-1,0)) != SOCKET_ERROR )
		{
			// put zero at the end of string
			//buff[nsize]=0;
			writelog("recv:",buff);
			ct=NULL;
			
			switch(state)
			{
			case 1:

				//## make more good parse in future :)
				//
				// looking for '220'
				//              ^^^
				//              012
				if(buff[0]=='2' && buff[1]=='2' && buff[2]=='0')
				{
					state++;
					//
					// send pass
					//
					ct=PING;
					it=sizeof(PING);
				}
				break;
			case 2:
				//
				// check PONG and ask version of server
				//
				if(parse_server_command(buff,nsize)==state)
				{
					ct=VER;
					it=sizeof(VER);
					state++;
				}
				break;
			case 3:
			case 4:
				{
					//
					// check version
					//
					if(atof(buff)!=atof(version))
					{
						prerr("clients version %s vs. server version %s",buff,version);
					}
					state=77;
					goto case_begin;
				}
				break;	
			case 5:
				break;
			case 77:
case_begin:
				//
				// alphabet
				//
				state++;
				if(first_check)
				{
					ZeroMemory(buff, 20*SERVER_BUF_SIZE);
					strcat(buff,"a:");
					strcat(buff,pTemp->element.pcl->get_alphabet());
					ct=buff;
					it=strlen(buff);
				}
				else
					goto state_hash;
				break;
			case 78:
state_hash:
				//
				// hash 
				//
				if(!first_check || (buff[0]=='2' && buff[1]=='2' && buff[2]=='0'))
				{
					state++;
					ZeroMemory(buff, 20*SERVER_BUF_SIZE);
					strcat(buff,"h:");
					strcat(buff,pTemp->element.pcl->get_hash());
					ct=buff;
					it=strlen(buff);
				}
				else
					prerr("sending alphabet: %s: %s",IP,buff);
				break;
			case 79:
				//
				// hash type
				//
				if(!first_check || (buff[0]=='2' && buff[1]=='2' && buff[2]=='0'))
				{
					state++;
					ZeroMemory(buff, 20*SERVER_BUF_SIZE);
					strcat(buff,"t:");
					itoa(pTemp->element.pcl->get_hash_type(),&buff[2],10);
					ct=buff;
					it=strlen(buff);
				}
				else
					prerr("sending hash: %s: %s",IP,buff);
				break;
			case 80:
case_pass:
				//
				// password
				//
				if(!first_check || (buff[0]=='2' && buff[1]=='2' && buff[2]=='0'))
				{
					state++;
					ZeroMemory(buff, 20*SERVER_BUF_SIZE);
					strcat(buff,"p:");
					strcat(buff,pTemp->element.pcl->get_password());
					ct=buff;
					it=strlen(buff);
				}
				else
					prerr("sending hash type: %s: %s",IP,buff);
				break;
			case 81:
				//
				// border
				//
				if(!first_check || buff[0]=='2' && buff[1]=='2' && buff[2]=='0')
				{
					state++;
					ZeroMemory(buff, 20*SERVER_BUF_SIZE);
					strcat(buff,"b:");
					strcat(buff,pTemp->element.pcl->get_border());
					ct=buff;
					it=strlen(buff);
				}
				else
					prerr("sending password: %s: %s",IP,buff);

				break;
			case 82:
				//
				// check state
				// 
				ZeroMemory(buff, 20*SERVER_BUF_SIZE);
				strcat(buff,"s?");
				ct=buff;
				it=strlen(buff);
				state++;
				break;
			case STATE_CHECKS:
				{
					itemp=atoi(buff);
					switch(itemp)
					{
					case Free:
						state=77;
						goto case_begin;
						break;
					case Busy:
						state=82;
						goto state_break;
						break;
					case Victory:
						victory=true;
						printf("[V] Victory! try get password...\n");
						ZeroMemory(buff, 20*SERVER_BUF_SIZE);
						strcat(buff,"p?");
						ct=buff;
						it=strlen(buff);
						state=STATE_GETVPAS;
						break;
					case Bordered:
						state=80;
						// password
						if( !strcmp(__buf,"") )
						{
							state=STATE_STOP;
							goto case_stop;
						}
						pTemp->element.pcl->set_password(__buf);
#ifdef DEBUG
						writelog("p__buf:",__buf);
#endif // #ifdef DEBUG
						if(next_border(__buf))
						{
							if(!strcmp(__buf,""))
							{
								printf("[L] Its last border!\n");
								state=STATE_STOP;
								goto case_stop;
							}
						}
#ifdef DEBUG
						writelog("b__buf:",__buf);
#endif // #ifdef DEBUG
						// border
						pTemp->element.pcl->set_border(__buf);
						goto case_pass;
						break;
					default:
						break;
					}
					pTemp->element.pcl->set_state((STATE)itemp);
				}
				break;
			case STATE_STOP:
case_stop:
				ZeroMemory(buff, 20*SERVER_BUF_SIZE);
				strcat(buff,"s!");
				ct=buff;
				it=strlen(buff);
				break;
			case STATE_GETPAS:
case_getpas:
				ZeroMemory(buff, 20*SERVER_BUF_SIZE);
				strcat(buff,"p?");
				ct=buff;
				it=strlen(buff);
				state=STATE_GETBOR;
				break;
			case STATE_GETBOR:
				pTemp->element.pcl->set_password(buff);
				ZeroMemory(buff, 20*SERVER_BUF_SIZE);
				strcat(buff,"b?");
				ct=buff;
				it=strlen(buff);
				state=STATE_GETBOR2;
				break;
			case STATE_GETBOR2:
				pTemp->element.pcl->set_border(buff);
				ZeroMemory(buff, 20*SERVER_BUF_SIZE);
				if(victory || net_freezed || end)
					state=STATE_STOP;
				else
					state=STATE_CHECKS;
				break;
			case STATE_GETVPAS:
				if(victory)
				{
					printf("%s\n",buff);
					printf("\n[i] Password is: %s  ( ",buff);
					it=strlen(buff);
					for(int i=0;i<it;i++)
						printf("0x%02X ",buff[i]);
					it=0;
					printf(")\n[X] Now you can terminate programm(press 'q')\n");
					writelog("PASS:",buff);
					end=true;
				}
				pTemp->element.pcl->set_password(buff);
				state=STATE_STOP;
				break;
			default:
				break;
			}
			if(ct && it>0)
			{
				send(search,ct,it,0);
				writelog("send:",ct);
			}
			ZeroMemory(buff, 20*SERVER_BUF_SIZE);
			if( (/*first_check &&*/ state==82) || state==STATE_STOP )
			{
state_break:
				Sleep(100);
				send(search,BYE,sizeof(BYE),0);
				closesocket(search);
				goto again;
				break;
			}
		}
	}
s_exit:
	closesocket(search);
	return 0;
}

DWORD WINAPI ClientThread(LPVOID lpParameter)
{
	return 0;
}

DWORD WINAPI ClientCrackThread(LPVOID lpParameter)
{
	SetThreadPriority(GetCurrentThread(), THREAD_PRIORITY_IDLE);

	while(1)
	{
		while(!crack)
		{
			Sleep(300);
		}
		printf("[S] Start cracking!\n");
		writelog("Start","cracking");
		myclient.crack();
		crack=false;
	}

	return 0;
}

//-------------------------------------------

#endif // #ifndef _NETFUNC_CPP_
